---
title: How to review a merge request
summary: Explains how to review a merge request.
authors:
    - Maurice Zimmnau
    - Kristina Mazur
date: 2024-09-25
---

# How to review a merge request

Your colleagues have improved the code and would like you to check it? Nice 😎

If you are GitLab beginner, this is our suggested workflow for a review:

1. Read the [official GitLab documentation](https://docs.gitlab.com/ee/tutorials/reviews/). It includes a ver recommended tutorial :fire: and gives some general inside what is important in an review (checking related issues, examine each file in depth etc.). 
2. Check the testing pipelines. If tests fail, you and the developer need to decide what to do. The pipelines are also explained in detail in the [testing documentation](testing.md).
3. Make suggestions for improvement. The recommended and easiest :point_up: way is to open the secondary menu of the merge request, select **Changes** and add a comment to a specific line. A :cool: feature is the **Insert suggestion** - this enables the developer to directly include the change in the web interface!

But sometimes you want to test some code change suggestions locally - here are some short instructions. But it is pretty straight-forward: as the feature branch, which includes the changes, is remote, you can assess it.

``` { .sh .copy }
git fetch
git checkout <new-branch-name>
```

!!! note 
    You can also push these changes and add them to the merge request. However, it is **not** recommended as the developer does not directly see your implementations as changes, but as an update