> The UNICADO software runs predominantly on Windows 10 and upwards. For the installation the following requirements have to be fulfilled:

---

## Installation Requirements
*Required hardware:*

- 8GB RAM
- Intel Core i5 or higher
- 600MB (16GB in stand alone) hard disk space

*Required software:*

- Windows / Linux
- [:simple-python: Python :octicons-link-external-16:](https://www.python.org/) **3.11**
- [:simple-git: Git :octicons-link-external-16:](https://git-scm.com/downloads) *(must be accessible from a terminal, i.e. added to your PATH variable if not)*
- [:fontawesome-brands-java: Java Runtime Environment :octicons-link-external-16:](https://jdk.java.net/) *(download zip file, unzip to e.g. `C:\Programs`, add `bin` folder of JDK to your **PATH** variable)*
- [RCE :octicons-link-external-16:](https://rcenvironment.de/) *integration platform (download zip file, unzip to e.g. `C:\Programs`)*

!!! note
    Please check the [RCE Updates Website :octicons-link-external-16:](https://rcenvironment.de/pages/updatessecurity.html) for which Java version is working with the respective RCE version. Currently, e.g. Java **11.x** is recommended for the current released

*Optional software:*

- [TiGL :octicons-link-external-16:](https://dlr-sc.github.io/tigl/) 3.x for visualizing the aircraft geometry
- [MikTex :octicons-link-external-16:](https://miktex.org/) for creating pdf reports

---

## Troubleshooting
Your installation aborts and the window closes suddenly

- Create the `C:\Programs` folder by yourself.
- If your installation aborts a good first guess is always to restart your pc (Because temp folders might be cleaned after a restart)
- If the restart does not help, close your installation window (if still opened) go to `C:\Users\<YourUserName>\AppData\Local\Temp` and delete all folders beginning with *_M*. Afterwards execute the installer again.

