@ todo needs revision!! as its old

You may want to execute UNICADO tools separately. Here we go:

### Requirements

Clone the following repositories:

- **rAIRCRAFTDESIGN** - aircraft design tools
- **rAIRCRAFTREFERENCES** - aircraft reference designs 
- **rADDITIONALSOFTWARE** - additional not aircraft design specific tools, e.g. for plotting

NOTE: the repositories **rAIRCRAFTDESIGN** and **rADDITIONALSOFTWARE** shall be checked out on the same branch (e.g. *develop*), as those branches are synchronized on remote ☁  and a running 🏃 🏃 couple 💍 

For testing purposes you most probably will choose the CSR-02 aircraft reference. Therefore, checkout the *CSR-02* branch from the **rAIRCRAFTREFERENCES** repo.

---

### Project Environment

For creating a {nav project environment} you have several options 🍟. Here we'll present the two mostly used ones (Excluding the UNICADOworkflow on RCE stated at top)

- Create a new folder for your project environment **or** use the folder where you have cloned the **rAIRCRAFTDESIGN** repo
- Copy {nav Gnuplot} and {nav Inkscape} from the folder where you have cloned the **rADDITIONALSOFTWARE** repo into your {nav project environment}
{nav name=project environment > Gnuplot }
{nav name=project environment > Inkscape }
NOTE: If you are using a unix based system make sure to copy the linux variants of *Gnuplot* and *Inkscape* named *Gnuplot-linux* and *Inkscape-linux*

- Copy the tool(s) you want to execute / test (e.g. *initialSizing*) from your local copy of **rAIRCRAFTDESIGN** (In case you are **not** using the local copy itself as a **project environment**)
{nav name=project environment > initialSizing }
- Create a folder named *projects* within your **project environment**
{nav name=project environment > projects }
- Within your *projects* folder create a folder named as the aircraft class, e.g. {nav CSR} (CeRAS Short Range)
{nav name=project environment > projects > CSR }
- Within the aircraft class folder create a folder of the aircraft type, e.g. {nav CSR-02}
{nav name=project environment > projects > CSR > CSR-02 }
- Copy the **content** (not the folder) of a specific design folder of the corresponding aircraft from your local copy of **rAIRCRAFTREFERENCES** into the aircraft type folder. Options are 
{nav cleanSheetDesign} 
{nav retrofitDesign > aerodynamicCalibration}
{nav retrofitDesign > engineCalibration}
{nav retrofitDesign > withoutCalibration}
- Now you have again two options: **1.** Test the tool on an empty aircraft exchange file. **2.** Test the tool on a so called converged aircraft.
  - For **1.** Delete the existing aircraft exchange fiel e.g. *CSR-02.xml*. Then rename the aircraft exchange file e.g. *CSR-02_startCSD.xml* to *CSR-02.xml* (if you have copied the cleanSheetDesign [CSD])
  - For **2.** Directly execute your tool with the available aircraft exchange file, e.g. *CSR-02.xml* 


---

### Aircraft Design Tool Dependencies

Suppose you use an empty aircraft exchange file (described above in option **1.**).
The aircraft design tools have dependencies, e.g. a fuselage 🐳 has to exist in order to mount wings 🐦.  An aircraft geometry has to be available in order to conduct an aerodynamic analysis.

Therefore the tools can be executed based on their dependencies in the following sequence:
{nav initialSizing > fuselageDesign > createMissionXml > wingDesign > empennageSizing > engineSizing > propulsionIntegration > landingGearDesign > calculatePolar > massEstimation > systemsDesign > missionAnalysis}

---

### Tool execution

Finally we want to execute the tool. But what if we have noticed, that there are no executables in the tool folders? 🔥
Then the executables have first to be build inside the working copy e.g. of the **rAIRCRAFTDESIGN** repo. Please follow the instructions at [Developer](../developer/contribute.md).

If this is done already and an executable is present, then you can execute the respective tool from within the tool folder either on windows directly via double click or via a terminal
- In cmd or powershell e.g. `initialSizing.exe`
- In git bash e.g. `./initialSizing.exe`

If you want to examine the terminal outputs we've got you covered: `.log`-files are written for each tool
